Bug 13684 - C4::Output uses C4::Budgets
Summary: C4::Output uses C4::Budgets
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.18
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12844
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-09 16:44 UTC by Jonathan Druart
Modified: 2015-12-03 22:11 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13684: C4::Budgets should not be used in C4::Output (735 bytes, patch)
2015-02-09 16:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13684: C4::Budgets should not be used in C4::Output (850 bytes, patch)
2015-02-09 16:53 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 13684: C4::Budgets should not be used in C4::Output (907 bytes, patch)
2015-02-14 17:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-02-09 16:44:44 UTC
... for nothing
Comment 1 Jonathan Druart 2015-02-09 16:45:53 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2015-02-09 16:53:48 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-02-14 17:19:08 UTC
Created attachment 35920 [details] [review]
[PASSED QA] Bug 13684: C4::Budgets should not be used in C4::Output

Bug 12844 removed the call to C4::Budgets::GetCurrency.
The use of this module can be completely removed from C4::Output.

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
It makes sense and no runtime errors found.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-02-17 02:45:04 UTC
Patch pushed to master.

Thanks Jonathan!